import instance from "@/utils/request";
// 文件上传至七牛
export const getUploadToken = params => instance.post("/common/file/getUploadToken", params);
// 获取枚举
export const getDictDataApi = params => instance.post("/common/dict/getDictData", params);
// 获取省市区树状数据
export const getTreeListApi = params => instance.postForm("/dict/dictProvinceCityDistrict/getTreeList", params);
// 懒加载省市区(province,city,district,street)
export const getAreaListApi = ({ type, code }) => instance.post(`dict/area/list/${type}/${code}`);
// 获取岗位列表
export const dictJobTypeApi = params => instance.post("/dict/dictJobType/getTree", params);
// 获取岗位列表类型（1职位，2政策，3动态）
export const getBannerListApi = type => instance.post(`/banner/list/${type}`);
//更具code码获取城市名称
export const getCityNameByCodeApi = code => instance.post(`/dict/dictProvinceCityDistrict/find/city/${code}`);
//更具code码获取地区名称
export const getDistNameByCodeApi = code => instance.post(`/dict/dictProvinceCityDistrict/find/dist/${code}`);

// 专业目录
export const getMajorTreeApi = () => instance.post(`/dict/major/tree`);
